Skip to main content
DELETE
/
v1
/
containers
/
{container_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "object": "<string>",
  "deleted": true,
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

container_id
string
required

The ID of the container to delete

Query Parameters

provider
enum<string>
required

The provider of the container AI model provider identifier

Available options:
openai,
azure,
anthropic,
bedrock,
cohere,
vertex,
vllm,
mistral,
ollama,
groq,
sgl,
parasail,
perplexity,
replicate,
cerebras,
gemini,
openrouter,
elevenlabs,
huggingface,
nebius,
xai,
runway,
fireworks

Response

Successful response

id
string

The ID of the deleted container

object
string

The object type (always "container.deleted")

deleted
boolean

Whether the container was successfully deleted

extra_fields
object

Additional fields included in responses